Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228315 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: festival
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Miller
QA Contact:
URL:
Whiteboard:
Depends On: festival1.96
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 16:55 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.96-0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 19:01:18 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 16:55:14 UTC
festival - 1.95-6.fc7.x86_64
  File conflict in:
     /usr/share/festival/etc/unknown_RedHatLinux/audsp
  Packages with the same files:
     festival - 1.95-6.fc7.i386

Comment 1 Matthew Miller 2007-02-21 03:59:04 UTC
From its source:

/* An audio file spooler, like lpd.  Reads in commands about files to    */
/* to play, and queues them until any previous requests are finished.    */
/* This allows the synthesizer to get on with synthesizing the next      */
/* utterance.                                                            */
/*                                                                       */
/* Actually this doesn't use anything in Festival, only the speech_tools */

I think that program should be moved to /usr/libexec/speech-tools (hey, um, how
are multiarch conflicts prevented in that subdir?) if kept at all.

The other program in /usr/share/festival/etc is a trivial shell script filter
that simply greps out all headers but From and Subject from an e-mail message.
In other words, "etc" is "miscellaneous debris", not "config files". So I kind
of lean towards just dropping it all.


/usr/share/festival/etc

Comment 2 Matthew Miller 2007-03-13 01:34:54 UTC
Spoke too soon. Looks like Festival *does* use that. Needs some tracking down.

Comment 3 Matthew Miller 2007-03-13 05:23:15 UTC
Okay, so in my in-progress package, I've moved the contents to
%{_libdir}/festival/etc.

Hmm. Actually, I should leave the mail filter in the shared area.

Comment 4 Matthew Miller 2007-03-13 21:20:29 UTC
See bug #232105 for in-progress updated packages which address this issue.

Comment 5 Matthew Miller 2007-03-15 21:33:36 UTC
Also, note that there's no reason for i386 packages on x86_64.

Comment 6 Matthew Miller 2007-03-20 19:01:18 UTC
This issue should be resolved by the release of festival-1.96-0.11, now in the
development tree. (See bug #232105 for details.)

Please reopen if there's still a problem. Thanks.


Note You need to log in before you can comment on or make changes to this bug.